# pandas.Period.to_timestamp

Period.to_timestamp()

  Return the Timestamp representation of the Period.

  Uses the target frequency specified at the part of the period specified by how, which is either Start or Finish.

  Parameters
    freq str or DateOffset

      Target frequency. Default is ‘D’ if self.freq is week or longer and ‘S’ otherwise.

    how str, default ‘S’ (start)

      One of ‘S’, ‘E’. Can be aliased as case insensitive ‘Start’, ‘Finish’, ‘Begin’, ‘End’.

  Returns
    Timestamp